E-Wallet Account Inquiry APIAsk AIpost https://api.durianpay.id/v1.0/emoney/account-inquiryThe following endpoint can be used to check validity of e-wallet account and account name informationBody ParamscustomerNumberstringrequiredThe account number of the recipient. *Supported format: (628...) OR (08...)amountobjectrequiredJSON object with keys: value and currency. Example: {"value": "20000.00", "currency": "IDR"}. You can specify the value as 1, if you don't want to validate amount during validationamount objectpartnerReferenceNostringrequiredUnique transaction identifier on merchant system which assigned to each transactionadditionalInfoobjectrequiredJSON object with keys: platformCode (bank code of the e-wallet), deviceId, and channel. example: {"platformCode": "gopay", "deviceId": "1234567", "channel": "mobilephone"}additionalInfo objectHeadersContent-TypestringrequiredIndicates the media type of the resource. value: application/jsonX-TIMESTAMPstringrequiredTimestamp in ISO8601 format, Example: 2024-05-14T18:54:57+07:00AuthorizationstringRepresents Access Token (B2B) of a request; string starts with keyword “Bearer ” followed by Access Token (B2B)X-SIGNATUREstringrequiredSignature generated by encrypting HTTP method, relative path, access token, minified request body, and timestampX-PARTNER-IDstringrequiredUnique ID for a partner given by Durianpay upon completing registration. Its value is same as the X-CLIENT-KEYX-EXTERNAL-IDstringrequiredUnique messaging reference identifier generated by merchant and should be unique within the same dayCHANNEL-IDstringrequiredDevice identification on which the API services is currently being accessed by the merchant. Possible value: 95221Responses 200200 202202 400400 401401 409409 500500 504504Updated 9 months ago